# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
SUPPORT_PYTHON_ABIS="1"

inherit eutils autotools flag-o-matic

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"
DLID="1038"

DESCRIPTION="The MMC Agent and its Core Python plugins."
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://projects.mandriva.org/attachments/download/${DLID}/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=app-admin/mmc-core-${PV}"

DEPEND="${RDEPEND}
	sys-apps/lsb-release
	sys-devel/gettext"

src_configure() {
	econf --sysconfdir=/etc --localstatedir=/var
}

src_install() {
	emake install DESTDIR=${D} || die "install failed"
	die
}

pkg_postinst() {
	elog "To disable some plugin in your mmc environments, you have to set"
	elog "disable to 1 in /etc/mmc/plugins/*.ini"
	elog "(one config file per service)"
	elog "You can't disable the base plugin."
}
