# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
SUPPORT_PYTHON_ABIS="1"

inherit eutils autotools flag-o-matic

MY_P="${P/_p/-}"
MY_PV="${PV/_p*/}"
DLID="1126"

DESCRIPTION="The MMC Agent and its Core Python plugins."
HOMEPAGE="http://mds.mandriva.org/"
SRC_URI="http://projects.mandriva.org/attachments/download/${DLID}/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
IUSE=""

SLOT="0"

RDEPEND=">=dev-python/twisted-web-0.7.0
	>=dev-python/python-ldap-2.2.1
	>=dev-python/mysql-python-1.2.0
	>=dev-python/sqlalchemy-0.6.1
	>=dev-python/pyopenssl-0.10
	>=net-nds/openldap-2.4.26"

DEPEND="${RDEPEND}
	sys-apps/lsb-release
	sys-devel/gettext"

src_prepare() {
	epatch "${FILESDIR}"/${PN}-3.0.2-gentoo-1.patch
	eautoreconf
}

src_configure() {
	econf --sysconfdir=/etc --localstatedir=/var
}

src_install() {
	emake install DESTDIR=${D} || die "install failed"
	newinitd "${FILESDIR}"/mmc-agent.initd mmc-agent
	keepdir /var/log/mmc
	insinto etc/apache2/modules.d
	newins ${D}/etc/mmc/apache/mmc.conf 90_mmc.conf
	rm -rf ${D}/etc/mmc/apache
}

pkg_postinst() {
	elog "To disable some plugin in your mmc environments, you have to set"
	elog "disable to 1 in /etc/mmc/plugins/*.ini"
	elog "(one config file per service)"
	elog "You can't disable the base plugin."
}
